<template>
  <van-cell icon="points" :title="organization.name" is-link v-on:click="routeToClaimsView" />
</template>

<script>
import { SET_SELECTED_ORG, basePath } from './actions';

export default {
  name: 'OrganizationItem',
  props: {
    organization: Object,
  },
  methods: {
    routeToClaimsView() {
      this.$store.dispatch(basePath(SET_SELECTED_ORG), { organization: this.organization });
      this.$router.push({ path: `/organizations/${this.organization.did}` });
    },
  },
  data() {
    return {
    };
  },
  computed: {

  },
  created() {

  },
  destroyed() {
  },
};
</script>
